Subject: Re: linux-next: manual merge of the vhost tree with the pm tree

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 30 Oct 2019 19:25:07 -0400

On Tue, Oct 29, 2019 at 11:13:57PM +0100, Rafael J. Wysocki wrote:
> On Tuesday, October 29, 2019 5:19:28 AM CET Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the vhost tree got a conflict in:
> > 
> >   drivers/acpi/processor_idle.c
> > 
> > between commit:
> > 
> >   fa583f71a99c ("ACPI: processor_idle: Skip dummy wait if kernel is in guest")
> > 
> > from the pm tree and commit:
> > 
> >   a04c0533b07c ("ACPI: disable extra P_LVLx access on KVM")
> 
> Well, if this touches code under drivers/acpi/, it should have been CCed to
> [email-masked], but I don't recall seeing it.

It's an old RFC, posted a couple of years ago.
I guess I can drop it for now.

> > from the vhost tree.
> > 
> > I fixed it up (I just used the pm tree version) and can carry the fix as
> > necessary. This is now fixed as far as linux-next is concerned, but any
> > non trivial conflicts should be mentioned to your upstream maintainer
> > when your tree is submitted for merging.  You may also want to consider
> > cooperating with the maintainer of the conflicting tree to minimise any
> > particularly complex conflicts.
> > 
> > 
> 
> 
>